-- Comm Event Token documentation
--		This file contains a summary only. Detailed notes on
--		each comm event can be found in the SKG_Comm.lua file
--
--
--	TOKEN		PAYLOAD							DESCRIPTION
--
--	SYNSS		TID ListName ListHash			Snapshot Database
--	SYNRK		List Player						Request Sync Key
--	SYNSK		List							Send Sync Key (WHISPER to target player)
--	SYNRL		List							Request List Sync (whispered)
--	SYNSL		{ List, list(Table) [, listLog(Table)] }
--												Send List (whispered)
--
--	SECUR		TID { Security Info Table }		Security Info Packet (broadcast from GL or Proxy)
--
--	LSTCR		TID ListName					Creates a new list called "ListName"
--	LSTRM		TID ListName					Removes the list called "ListName"
--	LSTRN		TID OldList NewName				Renames list "OldList" to "NewName"
--	LSTCL		TID OldList NewName				Clones list "OldList" with "NewName"
--
--	PLRAD		TID	Player Class [PID]			Adds "Player" to the list of valid "Players"
--	PLRDL		TID Player						Removes "Player" from the list of valid "Players"
--	PLRIN		TID List PID [Position]			Adds player with id "PID" at the bottom of "List"
--	PLRRM		TID List PID					Removes player with id "PID" from "List"
--	PLRMV		TID List PID Direction			Moves player with id "PID" "Direction" in "List"
--	PLRSC		{ TID, ListName, Player, { PID, PID, ... } }
--												Suicides "Player" in list "ListName" with
--												"<List of PIDs>" being the players affected
-- 
--	LOOTC		TID								Clear Loot List
--	LOOTI		ItemLink						Add "ItemLink" to currently biddable items
--	LOOTR		ItemLink						Remove "ItemLink" from currently biddable items
--
--	BIDOP		TID, ItemLink, Filter			Open bidding for "ItemLink", using filtering
--												defined by "Filter"
--	BIDBD										Bid on an item
--	BIDRT										Retract a bid
--	BIDCL										Close a bid
--
-- Still to be implemented, or on the drawing board:
--	LOOTE event (guild)

-- Bidding
--		Loot Event			LOOTE		TID ItemLink Winner
--		Force Retract		BIDFC		BidID

--		Close and Roll		BIDCR		SyncKey BidID
--		Roll				BIDRL		BidID
--		Pass				BIDPS		BidID
