
--------------------------------------------------------------------------------------------------
-- Global SKG variables
--------------------------------------------------------------------------------------------------

SKG_VERSION = 582 -- version 5.82 (rc2)

-- SKG_DEBUG = true
SKG_DEBUG = false
SKG_INIT_GUILD = true
SKG_CHANNEL_PREFIX = "SKG"
SKG_FRAME_STATE =  "Hidden"
SKG_CURRENT_MASTER = ""
-- Possible values here are "(U)ser", "(S)yncer", "(P)roxy", "(A)dmin"
-- Assume lowest level until proven otherwise
SKG_SECURITY_LEVEL = "U"

SKG = Rock:NewAddon(
	"SKG",
	"LibRockDB-1.0",
	"LibRockEvent-1.0",
	"LibRockConsole-1.0",
	"LibRockComm-1.0",
	"LibRockConfig-1.0",
	"LibRockModuleCore-1.0",
	"LibFuBarPlugin-3.0"
)

Dewdrop = Rock("Dewdrop-2.0")
Tablet = Rock("Tablet-2.0")

-- localization and localized help system
SKGL = Rock("LibRockLocale-1.0"):GetTranslationNamespace("SKG")

-- Mapping of Help System Indeces to message titles
SKG_Help_NumOptions = 21

SKG_HelpMap = {
	"SKG_HELP_GENERAL",					-- 1
	"SKG_HELP_BASICS",					-- 2
	"SKG_HELP_INITIAL_SETUP",			-- 3
	"SKG_HELP_ADDING_USERS_1",			-- 4
	"SKG_HELP_ADDING_USERS_2",			-- 5
	"SKG_HELP_SAVED_DATA",				-- 6
	"SKG_HELP_MULTIPLE_RAIDS",			-- 7
	"SKG_HELP_SECURITY",				-- 8
	"SKG_HELP_SECURITY_PROXY",			-- 9 
	"SKG_HELP_SECURITY_USER",			-- 10
	"SKG_HELP_SECURITY_SYNCER",			-- 11
	"SKG_HELP_WEBSITE",					-- 12 
	"SKG_HELP_BIDDING",					-- 13
	"SKG_HELP_RETRACT",					-- 14
	"SKG_HELP_LISTS",					-- 15
	"SKG_HELP_LIST_MANAGEMENT_1",		-- 16
	"SKG_HELP_LOOTING",					-- 17
	"SKG_HELP_CLASS_LOOTING",			-- 18
	"SKG_HELP_CANCEL_BIDDING",			-- 19
	"SKG_HELP_LOOTING_SINGLE_CLASS",	-- 20
	"SKG_HELP_CREDITS",					-- 21
}

SKG_maxVisibleListItems = 24
SKG_maxVisibleSYFListItems = 15
SKG_maxVisibleBidItems = 7
SKG_maxVisibleBidders = 8
SKG_currentSyncItems = 0
SKG_currentBidItems = 0
SKG_currentBidders = 0
SKG_SelectedPlayerName = ""
SKG.selectedBidItem = 0
SKG.selectedPID = 0

-- Used for player insertion...
SKG.isAlt = false
SKG.selectedToon = ""
SKG.mainPID = ""
SKG.formSubmit = false
SKG.selectedClass = 0

-- used for tracking if we're in a raid, and the list of current raid members
SKG.inRaid = false
SKG.Raiders = {}

-- Used when importing old settings
SKG.Import = {}
SKG.Import.Players = {}
SKG.Import.RollLists = {}
SKG.importClassSelections = {}
SKG.importSelectedClass = 0
SKG.importCurrPID = ""

-- if I'm syncing with someone, and want to override a bad sync starting 
-- point, I need to store the data somewhere temporarily. This is that place
SKG.OverideData = {}

-- Loot handling stuff
-- bitfield order ...
--	DRUID HUNTER MAGE PALADIN PRIEST ROGUE SHAMAN WARLOCK WARRIOR
SKG.LootFilter = "111111111"
SKG.afModify = "111111111"
SKG.LootItems = { }

SKG.ManagingBidEvent = false
SKG.BidItem = 0
SKG.BidFilter = "111111111"
SKG.CurrBidList = ""
SKG.Bidders = {}

SKG.me = ""

-- Structure for reserved players
--		Reserved players are those that are NOT in the current raid, but
--		DO behave as if they are when a suicide occurs, i.e. they still
--		move through the lists as if they were present.
SKG.ReservedPlayers = {}

-- Sorted version of the SKG.db.profiles.Players list
SKG.SPlayers = {}

--[[ Removed for the moment. Don't believe I need queueing
SKG.eventQueue = {
	first = nil,
	last = nil,
	values = {}
}
]]--

-- Structure for a TID (transaction ID )
--
-- Timestamp .. Index .. ItemID .. UniqueID
--		Timestamp in format YYYYMMDDHHMMSS
--		Index is a single digit indicating order, this is used when a single action
--			has to fire off multiple events that will all be logged (since TID must be
--			unique)
--		ItemID is a looted item's id. This will be eight 0's when there isn't a loot event
--		UniqueID is the absolute value of a looted item's unique id. This will be a single 0
--			when we're not dealing with a loot event
--

SKG:SetDatabase( "SKG_DB" )

-- Reference... from Fonts.XML
-- the class colors for players can be found in the following table:
--		RAID_CLASS_COLORS = {
--			["HUNTER"] = { r = 0.67, g = 0.83, b = 0.45 },
--			["WARLOCK"] = { r = 0.58, g = 0.51, b = 0.79 },
--			["PRIEST"] = { r = 1.0, g = 1.0, b = 1.0 },
--			["PALADIN"] = { r = 0.96, g = 0.55, b = 0.73 },
--			["MAGE"] = { r = 0.41, g = 0.8, b = 0.94 },
--			["ROGUE"] = { r = 1.0, g = 0.96, b = 0.41 },
--			["DRUID"] = { r = 1.0, g = 0.49, b = 0.04 },
--			["SHAMAN"] = { r = 0.14, g = 0.35, b = 1.0 },
--			["WARRIOR"] = { r = 0.78, g = 0.61, b = 0.43 }
--		};
--
RAID_STRING_COLORS = {
	["HUNTER"] = "FFAAD372",
	["WARLOCK"] = "FF9382C9",
	["PRIEST"] = "FFFFFFFF",
	["PALADIN"] = "FFF48CBA",
	["MAGE"] = "FF68CCEF",
	["ROGUE"] = "FFFFF468",
	["DRUID"] = "FFFF7C0A",
	["SHAMAN"] = "FF2359FF",
	["WARRIOR"] = "FFC69B6D"
}

